import { _ as _export } from './export-ecf4b1cb.js';
import { a as arrayIteration } from './array-iteration-dec5536e.js';
import { a as arrayMethodHasSpeciesSupport } from './array-method-has-species-support-d96108b0.js';

var $map = arrayIteration.map;


var HAS_SPECIES_SUPPORT = arrayMethodHasSpeciesSupport('map');

// `Array.prototype.map` method
// https://tc39.es/ecma262/#sec-array.prototype.map
// with adding support of @@species
_export({ target: 'Array', proto: true, forced: !HAS_SPECIES_SUPPORT }, {
  map: function map(callbackfn /* , thisArg */) {
    return $map(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});
